import java.awt.*;

/**
 * Base class for all circles
 */
public class Circle extends Figure {

	// data elements

	protected int radius;


	// constructors

	public Circle() {
		super();
		radius = 1;
	}

	public Circle(int r) {
		super();
		radius = r;
	}

	public Circle(int x, int y, String color, int r) {
		super(x,y,color);
		radius = r;
	}


	// methods

	public double area() {
		return Math.PI * radius * radius;
	}

	public double perimeter() {
		return 2 * Math.PI * radius;
	}

	public void draw(Graphics g) {
		Point p = getPoint();
		g.setColor(getColor());
		int x = p.getX() - radius;
		int y = p.getY() - radius;
		g.drawOval(x, y, 2*radius, 2*radius);
	}
}
