import java.awt.*;

/**
 * Basic class for two-dimensional geometric objects
 */
public abstract class Figure {

	// data element
	private Point p;

	// constructors
	protected Figure() {
		p = new Point();
	}

	protected Figure(int x, int y) {
		p = new Point(x,y);
	}

	protected Figure(int x, int y, String color) {
		p = new Point(x,y,color);
	}

	// methods for querying attributes

	public Point getPoint() {
		return p;
	}

	// converts valid String values of p.color
	// in matching instances of java.awt.Color;
	// default: Color.black
	public Color getColor() {		
		if (p.getColor().equals("blue"))
			return Color.blue;
		else if (p.getColor().equals("cyan"))
			return Color.cyan;
		else if (p.getColor().equals("darkGray"))
			return Color.darkGray;
		else if (p.getColor().equals("gray"))
			return Color.gray;
		else if (p.getColor().equals("green"))
			return Color.green;
		else if (p.getColor().equals("lightGray"))
			return Color.lightGray;
		else if (p.getColor().equals("magenta"))
			return Color.magenta;
		else if (p.getColor().equals("orange"))
			return Color.orange;
		else if (p.getColor().equals("pink"))
			return Color.pink;
		else if (p.getColor().equals("red"))
			return Color.red;
		else if (p.getColor().equals("white"))
			return Color.white;
		else if (p.getColor().equals("yellow"))
			return Color.yellow;
		else return Color.black;
	}

	// EXERCISE: Method for moving absolutely
	public void moveTo(int xNew, int yNew) {

	}

	// EXERCISE: Method for changing the color
	public void setColor(String colorNew) {

	}

	// abstract methods
	public abstract double area();
	public abstract double perimeter();

}
