/**
 * The class of points in a plane, colored
 * with capsuled data elements
 * with distance method
 */
class Point {

	// instance variables (data elements)
	private int x, y;
	private String color;

	// constructors
	Point() {
		x = 0;
		y = 0;
	}

	Point(int xInit, int yInit) {
		x = xInit;
		y = yInit;
	}

	Point(int xInit, int yInit, String colorInit) {
		x = xInit;
		y = yInit;
		color = colorInit;
	}

	// methods to query values of data elements
	int getX() {
		return x;
	}

	int getY() {
		return y;
	}

	String getColor() {
		return color;
	}

	// methods to move absolutely
	void moveTo(int xNew) {
		x = xNew;
	}

	void moveTo(int xNew, int yNew) {
		x = xNew;
		y = yNew;
	}

	// method to move relatively
	void moveRel(int dx, int dy) {
		x = x + dx;
		y += dy;
	}

	// method: distance to origin
	double distance() {
		return Math.sqrt(x*x + y*y);
	}

	// method: distance to another point
	double distance(Point p) {
		int dx = x - p.getX();
		int dy = y - p.getY();
		return Math.sqrt(dx*dx + dy*dy);
	}

	// method for changing the color
	void setColor(String colorNew) {
		color = colorNew;
	}
}
