import java.awt.*;

/**
 * Base class for all rectangles
 */
public class Rectangle extends Figure {

	// data elements

	protected int width, height;


	// constructors

	public Rectangle() {
		super();
		width = 1;
		height = 1;
	}

	public Rectangle(int a, int b) {
		super();
		width = a;
		height = b;
	}

	public Rectangle(int x, int y, String color, int a, int b) {
		super(x,y,color);
		width = a;
		height = b;
	}


	// methods

	public double area() {
		return width * height;
	}

	public double perimeter() {
		return 2 * (width + height);
	}

	public void draw(Graphics g) {
		Point p = getPoint();
		g.setColor(getColor());
		g.drawRect(p.getX(), p.getY(), width, height);
	}
}
