/**
 * List as an abstract data type which uses the generic
 * class ListElement.
 */
public class List<T> {

	ListElement<T> head;

	public void insert(ListElement<T> newHead) {
		newHead.next = head;
		head = newHead;
	}

	public void delete() {
		head = head.next;
	}

	public boolean isEmpty() {
		return (head == null);
	}

	public int length() {
		ListElement<T> helpElement = head;
		int l = 0;
		while (helpElement != null) {
			l++;
			helpElement = helpElement.next;
		}
		return l;
	}

	public void show() {
		if (this.isEmpty()) System.out.println("An empty list.");
		else {
			ListElement<T> output = head;
			while(output != null) {
				System.out.print(output.getValue());
				output = output.getNext();
				if (output != null) {
					System.out.print(", ");
				}
			}
			System.out.println();
		}
	}
}
